<%  ' Module: Toptions.asp
	'
	' Description: Button Panel Page to the Tech+Center
	'
	' (C) 2000 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original BOptions.asp
   '10/17/00 SAV	Created from BOptions.asp module
   '6/14/2004 JC    Created new buttons for this panel

	' Refer to the Web+Center User guide on how to customize the
	' the Tech+Center to be integrated with your current site.

	' TECH LEVELS
	' This page can be customized to your specification to allow certain
	' levels of users to obtain access to different buttons.  There are
	' 6 levels of users including:

	' 6 = Configurator = Highest Rights - Show all buttons
	' 5 = Administrator (No system configuration options)
	' 4 = Dispatcher (No administation but dispatcher and reports
	' 3 = Tech Read/Write (Read and write any case record)
	' 2 = Tech Read only (Read case records only)
	' 1 = No access - Lowest Rights - Not a valid user

	' The Matrix below allows you to customize what button are available for
	' specific user levels.  To change the default settings, change the constants
	' for each button listed below.  Every button user level is configurable.
	' For example to change the user level for the reports button from
	' Dispatcher to Administrator the Line below would change from:

	'ReportsButtonAccess = DispatcherLevel

	'TO

	' ReportsButtonAccess = AdministratorLevel



	' User Level Variable Values - DO NOT CHANGE THESE
	ConfiguratorLevel = 6
	AdministratorLevel = 5
	DispatcherLevel = 4
	TechReadWriteLevel = 3
	TechReadLevel = 2
	NoAccessLevel = 1

	'Button Assignements:

	NewCustomerAccess = TechReadWriteLevel
	GetCustomerAccess = TechReadLevel
	NewCaseAccess = TechReadWriteLevel
	NewAssetAccess = TechReadWriteLevel
	GetAssetAccess = TechReadLevel
	AssetAccess = TechReadLevel ' New Assets Button

	MyCasesAccess = TechReadLevel
	OtherCasesAccess = TechReadLevel
	TechReportAccess = TechReadLevel
	SearchEngineAccess = TechReadLevel
	AdministrationAccess = AdministratorLevel
	BusinessCenterAccess = AdministratorLevel
	DispatcherAccess = DispatcherLevel
	ReportsAccess = AdministratorLevel
	EmailCaseAccess = TechReadLevel
	AvailableAccess = TechReadLevel
	LogoutAccess = TechReadLevel
	CustomButtonAccess = AdministratorLevel
	ScheduleAccess = TechReadWriteLevel
	MyInfoAccess = TechReadWriteLevel
	OpenCasesAccess = TechReadWriteLevel
	TxtMessagingAccess  = TechReadWriteLevel
	ReservationAccess  = TechReadWriteLevel

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% IF adOpenForwardOnly = "" Then %>
<% '<!-- #INCLUDE FILE="Adovbs.inc" -->
%>

<%End IF %>

<% ' Grab the logged in user availability status for the available/busy button

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	TechID = Request.Querystring("TechID")
	If TechID = "" Then
		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN")
	End IF

		mySQL="select * from Tech_staff where Tech_ID = '" & TechID & "'"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "No User Info found - Please allow cookies"
		Availability = 2
		Tech_Level = 0
	Else
		Availability = rstemp("Availability")
		If Availability = "" or IsNull(Availability) = True THEN
			Availability = 2 ' Set default value to busy
		End If

		Tech_Level = rstemp("Tech_level")

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
	%>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"


	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3

	'set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_options_color")
		AssetDatabase = rstemp2("assets_db")
		If CInt(AssetDatabase) = 1 Then
			AssetDatabase = True
		End If

		TextMessagingEnabled = rstemp2("Option2")
		Language = rstemp2("Language")

		If Instr(Language, "Calendar" ) Then
			DisableWebCenterCalendar = "NO"
		Else
			DisableWebCenterCalendar = "YES"
		End If



	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1998 by Internet Software Sciences -->
<head>
<title>Tech+Center Options Panel</title>
<style>
.specialversion {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 9;
          background-color: #C0C0C0;

</style>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>
<body class=leftpanel TOPMARGIN=7  MARGINHEIGHT=7 LEFTMARGIN=7 MARGINWIDTH=7>


<center>


<table border=0 cellpadding=0 cellspacing=0>

<tr><td><img src=/<%=WCLanguageDirectory%>/Panel_TopBar.jpg border=0></td></tr>



<tr>
  <td><font size=-1><a href="http://www.inet-sciences.com" target=newpage><img src=/<%=WCLanguageDirectory%>/Panel_TopLogo.jpg border=0></a></font></td>

</tr>



<% If Tech_Level >= DispatcherAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=status.asp target=user_screen><%=wc_pb_Status_tools%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->



<!-- - - - - - - - - - - - -->


<% If Tech_Level >= GetCustomerAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=TManage_Companies.asp target=user_screen><%=wc_pb_Bill_Addresses%></a></td></tr>
<%End IF %>




<%

   Tech_Level = CInt(Tech_Level)
   If Tech_Level >= NewCustomerAccess Then
%>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=NewCustomer.asp target=user_screen><%=wc_pb_New_Customer%></a></td></tr>
<%End IF %>

<!-- - - - - - - - - - - - -->



<% If Tech_Level >= GetCustomerAccess Then%>

       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=GetCustomer.asp target=user_screen><%=wc_pb_Get_Customer%></a></td></tr>
<%End IF %>




<!-- - - - - - - - - - - - -->

<% If Tech_Level >= NewCaseAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=NewCase.asp target=user_screen><%=wc_pb_New_Case%></a></td></tr>
<%End IF %>



<!-- - - - - - - - - - - - -->

<% If Tech_Level >= GetCaseAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=GetCase.asp target=user_screen><%=wc_pb_Get_Case%></a></td></tr>
<%End IF %>



<!-- - - - - - - - - - - - -->

<% If CInt(AssetDatabase) = True and Tech_Level >= AssetAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=Assets.asp target=user_screen><%=wc_pb_Assets%></a></td></tr>
<%End IF %>

<!-- - - - - - - - - - - - -->

<%If Tech_Level >= MyCasesAccess AND (DisableWebCenterCalendar <> "YES")  Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=MyCases.asp target=pending_screen><%=wc_pb_My_CasesEvents%></a></td></tr>
<%End IF %>


<%If Tech_Level >= MyCasesAccess AND (DisableWebCenterCalendar = "YES")  Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=MyCases.asp target=pending_screen><%=wc_pb_My_Cases%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->

<% If Tech_Level >= OtherCasesAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=OtherCases.asp target=user_screen><%=wc_pb_Other_Cases%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->

<% If Tech_Level >= TechReportAccess then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=TechReport.asp target=user_screen><%=wc_pb_Tech_Report%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->

<% If Tech_Level >= SearchAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=Search.asp target=user_screen><%=wc_pb_Search_Engine%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->

<% If Tech_Level >= AdministrationAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=SystemAdmin.asp target=user_screen><%=wc_pb_Administration%></a></td></tr>
<%End IF %>

<!-- - - - - - - - - - - - -->


<% If Tech_Level >= BusinessCenterAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=Businesscenter.asp target="businesscenter"><%=wc_pb_Business_Center%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->


<% If Tech_Level >= ReportsAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=Reports.asp target=user_screen><%=wc_pb_Reports%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->

<% If Tech_Level >= EmailCaseAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=EmailCase.asp target=user_screen><%=wc_pb_Email_Case%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->

<% If (Tech_Level >= TxtMessagingAccess) AND (TextMessagingEnabled = 1) Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center>



       <a class=panelbutton href='javascript:var w=window.open("TechTxtMsg.asp","TxtMsgsubwindow","width=550,height=90,screenX=200,screenY=20,right=50,top=20,scrollbars=yes,resizable=yes")'><%=wc_pb_Txt_Messaging%></a></td></tr>

<%End IF %>


<!-- - - - - - - - - - - - -->

<% If Tech_Level >= AvailableAccess Then %>


<% IF CInt(Availability) = 1 Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_Available2.jpg align=center><a class=panelbutton href=DoTAvailability.asp><%=wc_pb_Available%></a></td></tr>
   <%Else %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_Busy2.jpg align=center><a class=panelbutton href=DoTAvailability.asp><%=wc_pb_Busy%></a></td></tr>
   <%End IF %>


<%End IF %>

<!-- - - - - - - - - - - - -->

<% If Tech_Level >= ScheduleAccess AND (DisableWebCenterCalendar <> "YES") Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=CalendarView.asp target=user_screen><%=wc_pb_Schedule%></a></td></tr>
<%End IF %>




<!-- - - - - - - - - - - - -->


<%

   If Tech_Level >= MyInfoAccess Then
%>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton HREF=TMyInfo.asp target="user_screen"><%=wc_pb_My_Info%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->

<%If Tech_Level >= OpenCasesAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=DisplayAllOpenCases.asp target=pending_screen><%=wc_pb_Open_Cases%></a></td></tr>
<%End IF %>



<!-- - - - - - - - - - - - -->

<%If Tech_Level >= ReservationAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=/Reservation60/launch_media_center.asp target=reservationcenter><%=wc_pb_Reservations%></a></td></tr>
<%End IF %>




<!-- - - - - - - - - - - - -->

       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href=UserScreen.asp target=user_screen><%=wc_pb_White_board%></a></td></tr>



<!-- - - - - - - - - - - - -->

<% If Tech_Level >= LogoutAccess Then %>
       <tr><td height=18 width=142 background=/<%=WCLanguageDirectory%>/Panel_Button_blank2.jpg align=center><a class=panelbutton href="TLogout.asp"  target= "_top" ><%=wc_pb_Logout%></a></td></tr>
<%End IF %>


<!-- - - - - - - - - - - - -->



<% If Tech_Level >= CustomButtonAccess Then %>
<!-- Uncomment the following if you want to display the Custome Button
<tr>
<td align=center>

<a href=CustomButton.asp target=user_screen><img src=/<%=WCLanguageDirectory%>/Panel_BlankButton.jpg border=0></a><br></td>
</tr>
-->
<% End If %>


<tr><td><img src=/<%=WCLanguageDirectory%>/Panel_BottomBar.jpg></td></tr>

<tr><td height=6></td></tr>

<tr>
  <td>
	<table class=SimpleWrapper  align=center >
	   <tr><td align=center class=specialversion><b>WEB+CENTER</b><br> &nbsp; <%=Version%> &nbsp;<br>
	   <I>&copy; 2008 - ISS</i></td></tr>
	</table>
  </td>
</tr>



</table>
</center>
</body>
</html>

