<%  ' Module: DoCustomerOptions.asp
	'
	' Description: Submit Module For CustomerOptions.asp
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'03/28/99	SAV		Created original ASP file
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->

<% '  Get the form data from to decide which option to call

	Action = request.form("Action")
	' Call the customeroptions page with the selected option

	' Debugging
	'response.write "Action = " & Action
	'response.flush
	'response.end


	DisplayCase = Request.Querystring("DisplayCase")
	If Displaycase <> "" Then
	     Field_Validation_Check "Case Number", Displaycase
		Action = "UpdateCase"
		' Before we display the case, verify that the logged in user is
		' the correct Customer_Id for the case that they are attempting
		' to view.  CUSTOMERS CAN ONLY VIEW OR UPDATE THEIR OWN CASES

		' This security check is bypassed if ISS_GROUP_CUSTOMER cookie is set
		' since they might be reading and updating for several users.

		CookieID = Request.Cookies("ISS_CUSTOMER")
		ViewEmailCategoryID = Request.Cookies("ISS_GROUP_CUSTOMER")

		If ViewEmailCategoryID = "" Then

			' Now get case information
			set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL2="SELECT * from Cases where Case_Number = " & DisplayCase  & " AND Customer_ID = '" & CookieID & "'"

				set rstemp=conntemp.execute(mySQL2)

				' Check to see if any records are returned
				' if none found the

				If rstemp.EOF = True Then
					ValidUser = "NO" ' Set this variable to prevent problems on next page
				End If

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing

		End if  ' End of IF ViewEmailCategoryID = ""


	' New security check for special group customer permissions
	' Group users should only be able to see cases for customers that
	' are members of that group they are using for the ViewEmailCategoryID

	' To do this checked, we need to get the customer_id from the passed case number
	' and then check if that customer is a member of the group that was passed
	' with the EmailCategoryID


		If ViewEmailCategoryID <> "" Then

			' Now get case information
			set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL2="SELECT * from Cases where Case_Number = " & DisplayCase

				set rstemp=conntemp.execute(mySQL2)

				case_customer_id = rstemp("Customer_ID")


				' Check to see if any records are returned
				' if none found the

				If rstemp.EOF = True Then
					Case_customer_ID = "No Customer found for case"
				End If

				rstemp.close
				set rstemp=nothing

			' Now check if this customer is a member of the user group

				mySQL2="SELECT * from EmailCategoryLinks where customer_ID = '" & Case_Customer_ID & "' AND EmailCategoryID = " & ViewEmailCategoryID

				set rstemp=conntemp.execute(mySQL2)

				' Check to see if any records are returned
				' if none found the

				If rstemp.EOF = True Then
					ValidUser = "NO"
				End If


				conntemp.close ' Close the connection
				set conntemp=nothing

		End if  ' End of IF ViewEmailCategoryID = ""






	End If



	If Action = "Log Out" Then
		' Clear the cookies and then call LogOut.asp
        Response.Cookies("ISS_CUSTOMER").Expires = Date - 1
        Response.Cookies("ISS_GROUP_CUSTOMER").Expires = Date - 1



 	    XBlank = ""

	    ' next line is apparently necessary for it to work on Linux

	    response.addheader "Set-Cookie", "ISS_TECH_CENTER_LOGIN="&XBlank&"; path=/;"



		Response.Cookies("ISS_CUSTOMER") = ""
		Response.Cookies("ISS_CUSTOMER").Path = "/"
		Response.Cookies("ISS_CUSTOMER").Secure = FALSE


		Response.Cookies("ISS_GROUP_CUSTOMER") = ""
		Response.Cookies("ISS_GROUP_CUSTOMER").Path = "/"
		Response.Cookies("ISS_GROUP_CUSTOMER").Secure = FALSE




		response.redirect("default.asp")
'
%>


	<%elseif Action = "UpdateCase" AND ValidUser = "NO" Then %>
		<%  ASPPage = "DoCustomerOptions.asp?DisplayCase"%>
		<!-- #include file=Invalidcustomer.inc-->

	<%elseif Action = "Search Help Database" Then %>
		<!-- #include file=CCSearch.asp-->

	<%elseif Action = wc_Start_Text_Chat_Support_Session Then %>
		<!-- #include file=CheckTextAgent.asp-->

	<%elseif Action = wc_Remote_Control_Session Then %>
		<!-- #include file=RemoteControlSession.asp-->




	<% elseif Action = wc_View_FAQ_List Then %>
	   <!-- #include file=TopTen.asp-->

	<% ' ****** CUSTOM FORM CALLS HERE *********** %>


	<% elseif Action = "IT User Request Form"  Then %>
	   <!-- #include file=CustomCaseForm2.asp-->

	<% elseif Action = "Employee Badge Access Request Form" Then	%>
	   <!-- #include file=CustomCaseForm1.asp-->




	<% ' ****** END CUSTOM FORM CALLS HERE *********** %>


	<%Else%>


<!-- #include file=CustomerOptions.asp-->

<% End If %>
