<%  ' Module: default.asp
	'
	' Description: This module is a special default home page for
	' users that want to display a drop down list of customers
	' to allow customers to simply select one and log in without
	' entering any login information.  This is designed to be used
	' in setting like various hospital groups where individual customers
	' would be defined as group rather than individuals.

	' NOTE: This is not a very secure way for customer to submit cases
	' since anybody with access to the system can select any customer and
	' submit trouble tickets for as that customer.  On the flip side, it
	' allows customers that are set up as departments to login without having
	' to remember passwords or accounts.

	' This can be setup as the home page for the customer if neccesary by setting
	' up the default home page as default.asp rather than default.asp.  Configure this
	' going to the Internet Services Manager,and drilling to a virtual directory
	' and then right mouse click for properties and remove the default.asp default file
	' and leave the default.asp file as the only default file.


	' (C) 2000, 2001 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'08/22/01	SAV		Created original ASP file


	' * * * * * * * * CONFIGURATION OPTIONS * * * * * * *

	' comment/uncomment out the definitions below to remove these options from
	' the customer+center home page.

	' If you have LDAP enabled, we will assume you do not want:
		'Self registration
		'Standard Customer+Center logins
		'Los Username and passwords


		 ShowReservationCenterLink = "YES" ' Display the reservation+center link
		 'ShowCCLogin = "YES" - Display the web+center customer login (non AD)
		'ShowSelfRegistration = "YES"
		RemoteControlSessionEnabled = "1"


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<% ' Display the Header HTML %>

<!-- #INCLUDE FILE="CCHeader.inc" -->


<%
MyPWD = Request.querystring("PW")
MyUN =  Request.querystring("UN")
'response.write "I see " & MyUN & " -- " & MyPWD &   "<P>"
'response.flush
'response.end

       MM = Month(Now())
       MMM = MonthName(MM,1)
       DD = Day(Now())

%>


<% ' First determine if LDAP logins have been able and if text messaging has been
	'enabled.  Only show certain login options and Text Chat options if these are enabled.


	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL, conntemp, 1,3


	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_options_color")
		AssetDatabase = rstemp2("assets_db")
		If CInt(AssetDatabase) = 1 Then
			AssetDatabase = True
		End If

		TextMessagingEnabled = rstemp2("Option2")
        Ldap_enabled = rstemp2("Option1") ' Field to enable LDAP integration


	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>



<!-- Main content of support home page site goes here -->
<center>



<% If LDAP_Enabled = "1" Then %>


<table cellspacing=0 cellpadding=0><tr><td height=10></td></tr></table>


<Table class=MenuWrapper border=0 width=650>
  <tr>
    <td rowspan=2 valign=top><img src=blue_tri.gif></td>
    <td valign=top class=menutext>Active Directory/Windows Authentication Login</td>
    <td rowspan=2 align=right valign=top><br><A href="DoAutologin.asp"><img src="c_login30x80.gif" border=0></a></td>
  </tr>
  <tr>

    <td class=menutextsub>You can log into the Customer+Center Help Desk by using your Active Directory or Windows
            Username and password.  Click the Login button to Login using Windows Authentication.
	</td>

  </tr>
</table>


<%End If %>

<% ' IF LDAP is enabled, then the standard web+center login is removed.

	' If you want it too, then uncomment the line below.

	 'ShowCCLogin = "YES"

	If LDAP_Enabled <> "1" OR  ShowCCLogin = "YES" Then

	%>

<table cellspacing=0 cellpadding=0><tr><td height=20></td></tr></table>


<Table class=MenuWrapper border=0 width=650 >
  <tr>
    <td rowspan=2 valign=top><img src=blue_tri.gif></td>

    <td valign=top class=menutext>Login</td>

	<td  rowspan=2>
	      <Table cellpadding=0 cellspacing=0 class=FormBoxWrapper>
	      <form action="DoCLogin.asp" method=post>
		   <tr><td  align=left valign=top class=formlabelsuper>Username:</td></tr>
		   <tr><td align=left valign=top class=formboxholder><input type=text size=12  name=username maxlength=20 value="<%=MyUN%>"></td> </tr>
		   <tr><td class=formlabelsuper align=left valign=top >Password:</td></tr>
		   <tr><td align=left valign=top class=formboxholder><input type=password size=12  name=password maxlength=20 value="<%=MyPWD%>"></td> </tr>
		   <tr><td align=center valign=top class=formboxholder><input type=image src="c_login30x80.gif" name="b_submit" border=0></td></tr>
			</form>
         </table>
	</td>
  </tr>

  <tr>
    <td class=menutextsub valign=top>
            If you have previously registered with the Customer+Center
	 		then enter your previously registered Username and Password and press Login:.
	</td>
  </tr>
</table>


<% End If %>



<% If TextMessagingEnabled = "1" Then %>


<table cellspacing=0 cellpadding=0><tr><td height=10></td></tr></table>


<Table class=MenuWrapper border=0 width=650>
  <tr>
    <td rowspan=2 valign=top><img src=blue_tri.gif></td>
    <td valign=top class=menutext>Text Chat Support</td>
    <td rowspan=2 align=right valign=top><A href="CheckTextAgent.asp"><img src=/<%=WCLanguageDirectory%>/chaticon.gif border = 0></a></td>
  </tr>
  <tr>

    <td class=menutextsub>If you would like to start a text chat support session,
    click on the <B>CHAT</b> button to determine if a Text CHAT support Agent is available.

	</td>
  </tr>
</table>


<%End If %>



<% If RemoteControlSessionEnabled = "1" Then %>


<table cellspacing=0 cellpadding=0><tr><td height=10></td></tr></table>


<Table class=MenuWrapper border=0 width=650>
  <tr>
    <td rowspan=2 valign=top><img src=blue_tri.gif></td>
    <td valign=top class=menutext>Remote Control Support Session</td>
    <td rowspan=2 align=right valign=middle><A href="RemoteControlSession.asp"><img src=/<%=WCLanguageDirectory%>/RemoteControlSession.jpg border = 0></a></td>
  </tr>
  <tr>

    <td class=menutextsub>If you would like to configure a remote control support session with
    a support technician, click on the  <B>Remote Control Session</b> button for additional
    instructions to install and run a Remote Control Utility on this computer.

	</td>
  </tr>
</table>


<%End If %>






<% If LDAP_Enabled <> "1" OR ShowSelfRegistration = "YES" Then

%>


<table cellspacing=0 cellpadding=0><tr><td height=20></td></tr></table>


<Table class=MenuWrapper border=0 width=650>
  <tr>
    <td rowspan=2 valign=top><img src=blue_tri.gif></td>
    <td valign=top class=menutext>Self registration</td>
    <td rowspan=2 align=right valign=top><A href="Registration.asp"><img src="c_newuser30x80.gif" border=0></a></td>
  </tr>
  <tr>

    <td class=menutextsub>If you would like to submit a support case (problem, question, or comment),
		you must first register as a New User
	</td>
  </tr>
</table>

<% End If %>


<table cellspacing=0 cellpadding=0><tr><td height=20></td></tr></table>

<Table class=MenuWrapper border=0 width=650>
  <tr>
    <td rowspan=2 valign=top><img src=blue_tri.gif></td>
    <td valign=top class=menutext>Frequently Ask Questions</td>
    <td rowspan=2 align=right valign=top><A href="TopTen.asp"><img src="c_FAQ30x80.gif" border=0></a></td>
  </tr>
  <tr>

    <td class=menutextsub>Review a list of the &quot;Frequently Asked Questions&quot;
		along with their solutions.
	</td>

  </tr>
</table>


<table cellspacing=0 cellpadding=0><tr><td height=20></td></tr></table>


<Table class=MenuWrapper border=0 width=650>
  <tr>
    <td rowspan=2 valign=top><img src=blue_tri.gif></td>
    <td valign=top class=menutext>Search Help Database</td>
    <td rowspan=2 align=right valign=top><A href="CCSearch.asp"><img src="c_search_help_database30x160.gif" border=0></A></td>
  </tr>
  <tr>

    <td class=menutextsub>Search for solutions to previously identified problems and questions.
	</td>
  </tr>
</table>


<%


  If ShowReservationCenterLink = "YES" Then
	%>


<table cellspacing=0 cellpadding=0><tr><td height=20></td></tr></table>


<Table class=MenuWrapper border=0 width=650>
  <tr>
    <td rowspan=2 valign=top><img src=blue_tri.gif></td>
    <td valign=top class=menutext>Reservation+Center Login</td>
    <td rowspan=2 align=right valign=top><A href="/reservation60/Default.htm"><img src="reservationcenterbutton.jpg" border=0></A></td>
  </tr>
  <tr>

    <td class=menutextsub>Click the <B>Reservation+Center</b> button to launch the Reservation+Center Login page.
	</td>
  </tr>
</table>

<% End If %>




<table cellspacing=0 cellpadding=0><tr><td height=20></td></tr></table>

<% If LDAP_Enabled <> "1" Then %>


<Table class=MenuWrapper border=0 width=650 >
  <tr>
    <td rowspan=2 valign=top><img src=blue_tri.gif></td>
    <td valign=top class=menutext>Lost your Username/Password?</td>
	<td  rowspan=2>
	      <Table cellpadding=0 cellspacing=0 class=FormBoxWrapper>
	      <form action="DoLostInfo.asp" method=post>


		   <tr><td  align=left valign=top class=formlabelsuper>Email:</td></tr>
		   <tr><td align=left valign=top class=formboxholder><input size=20 maxlength=80 name=LostEmail></td> </tr>
		   <tr><td align=center valign=top class=formboxholder><input type=image src = "c_lostid30x80.gif" name=submit border=0></td></tr>
			</form>
         </table>
	</td>
  </tr>
  <tr>
    <td class=menutextsub valign=top>
If you have lost your  Customer+Center Username or password or both,
then enter the email address you registered with here and press the &quot;Lost ID&quot; button
 to help recover  your Username and password.
	</td>
  </tr>
</table>


<% End if %>


</center><BR>
</font>



</ul>

<!-- BODY of TEXT goes here   -->


<% ' Display the FOOTER HTML %>

<!-- #INCLUDE FILE="CCFooter.inc" -->

<SCRIPT language="javascript">
    setfocus();
</SCRIPT>
